Subject: bug#5464: 23.1.91; Mouse pointer shape in menus on Windows 7

From: Francis Wright <[email-masked]>
Date: Fri, 11 Oct 2019 11:34:23 +0000

I still see peculiar mouse pointer shapes when using the menus on Emacs 26.3 on Windows 10 on my current laptop. Experimenting with this just now I have noticed the pointer change to the busy hourglass shape several times for no very obvious reason, just by moving it about over the help menu and its submenus. But I can’t give a reliable recipe for provoking this. I was also able to provoke the editing I-cursor shape just now, but not in a reproducible way.

I can also provoke the mouse pointer to turn into an I-cursor when it is over the empty right-hand part of the toolbar and then it stays that way (when it’s over the empty toolbar) until I hover over an active button, when it reverts to the correct pointer shape. This seems to happen if I hover over text in an edit window before hovering over the empty part of the toolbar. This behaviour is not really a problem, but it might be related to the menu problems.

From: Eli Zaretskii<mailto:[email-masked]>
Sent: 11 October 2019 9:31 am
Subject: Re: bug#5464: 23.1.91; Mouse pointer shape in menus on Windows 7

The mouse pointer shape should be the default arrow but
> > often it is the I shape that I expect when the mouse pointer is over
> > editable text. Occasionally it is the pointing hand that I expect when
> > the mouse pointer is over a hyperlink.
> >
> > I think the following recipe will provoke this bug reliably. Start emacs with
> > the -Q option. Drag the window to the top of the screen so that it maximises,
> > then drag it down again to that it reverts to its previous size. Now open a
> > menu; the mouse pointer seems to appear reliably as the I shape. This is on a
> > new Compaq laptop running Windows 7. I can't get Emacs
> > 23.1.1 to show the same bug on my previous laptop running Windows XP.
> >
> > In GNU Emacs 23.1.91.1 (i386-mingw-nt6.1.7600)
> > of 2010-01-03 on PRETEST
> > Windowing system distributor `Microsoft Corp.', version 6.1.7600
> > configured using `configure --with-gcc (3.4)'
>
> That was over 9 years ago.  Are you still seeing this in a modern
> version of Emacs?

I can't, but these Heisenbugs are notoriously unreproducible.